<?php
/*
 * @package 	RSFirewall!
 * @copyright 	(c) 2009 - 2024 RSJoomla!
 * @link 		https://www.rsjoomla.com/joomla-extensions/joomla-security.html
 * @license 	GNU General Public License https://www.gnu.org/licenses/gpl-3.0.en.html
 */


defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class RSFirewallProtection
{
	protected $reason;

	protected $level = 'high';

	protected $code;

	protected $extra = null;

	public function getReason()
	{
		return $this->reason;
	}

	public function getLevel()
	{
		return $this->level;
	}

	public function getCode()
	{
		return $this->code;
	}

	public function getExtra()
	{
		return $this->extra;
	}

	protected function getOption()
	{
		return strtolower(Factory::getApplication()->input->get('option', ''));
	}
}